> For the complete documentation index, see [llms.txt](https://docs.coretalk.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coretalk.com.br/api/api/mensagens-avancadas.md).

# 📨 Mensagens Avançadas

## SearchMessages

> Pesquisa mensagens.

```json
{"openapi":"3.0.3","info":{"title":"Postman v3","version":"1.0.0"},"tags":[{"name":"📨 Mensagens Avançadas","description":""}],"servers":[{"url":"https://{BaseUrl}/v2/api/external/{ApiID}","description":"Servidor da API","variables":{"BaseUrl":{"default":"api.example.com","description":"URL base da API"},"ApiID":{"default":"seu-api-id","description":"ID da sua API"}}}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Header de autenticação Bearer no formato Bearer <token>"}}},"paths":{"/v2/api/external/{ApiID}/searchMessages":{"get":{"summary":"SearchMessages","operationId":"SearchMessages","description":"Pesquisa mensagens.","tags":["📨 Mensagens Avançadas"],"parameters":[{"name":"ApiID","in":"path","required":true,"description":"Identificador do recurso (ApiID)","schema":{"type":"string"}},{"name":"ticketId","in":"query","description":"ticketId","required":false,"schema":{"type":"string"}},{"name":"searchParam","in":"query","description":"searchParam","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"page","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"limit","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Resposta bem-sucedida","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Requisição inválida"},"401":{"description":"Não autorizado — token Bearer ausente ou inválido"},"403":{"description":"Acesso negado"},"404":{"description":"Recurso não encontrado"},"500":{"description":"Erro interno do servidor"}},"requestBody":{"required":true,"content":{"text/plain":{"schema":{"type":"string"}}}}}}}}
```

## SendLocation

> Envia localização.

```json
{"openapi":"3.0.3","info":{"title":"Postman v3","version":"1.0.0"},"tags":[{"name":"📨 Mensagens Avançadas","description":""}],"servers":[{"url":"https://{BaseUrl}/v2/api/external/{ApiID}","description":"Servidor da API","variables":{"BaseUrl":{"default":"api.example.com","description":"URL base da API"},"ApiID":{"default":"seu-api-id","description":"ID da sua API"}}}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Header de autenticação Bearer no formato Bearer <token>"}}},"paths":{"/v2/api/external/{ApiID}/sendLocation":{"post":{"summary":"SendLocation","operationId":"SendLocation","description":"Envia localização.","tags":["📨 Mensagens Avançadas"],"parameters":[{"name":"ApiID","in":"path","required":true,"description":"Identificador do recurso (ApiID)","schema":{"type":"string"}}],"responses":{"200":{"description":"Resposta bem-sucedida","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Requisição inválida"},"401":{"description":"Não autorizado — token Bearer ausente ou inválido"},"403":{"description":"Acesso negado"},"404":{"description":"Recurso não encontrado"},"500":{"description":"Erro interno do servidor"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"number":{"type":"string"},"latitude":{"type":"number"},"longitude":{"type":"number"},"name":{"type":"string"},"address":{"type":"string"},"ticketId":{"nullable":true},"externalKey":{"type":"string"}}}}}}}}}}
```

## SendVcard

> Envia vcard.

```json
{"openapi":"3.0.3","info":{"title":"Postman v3","version":"1.0.0"},"tags":[{"name":"📨 Mensagens Avançadas","description":""}],"servers":[{"url":"https://{BaseUrl}/v2/api/external/{ApiID}","description":"Servidor da API","variables":{"BaseUrl":{"default":"api.example.com","description":"URL base da API"},"ApiID":{"default":"seu-api-id","description":"ID da sua API"}}}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Header de autenticação Bearer no formato Bearer <token>"}}},"paths":{"/v2/api/external/{ApiID}/sendVcard":{"post":{"summary":"SendVcard","operationId":"SendVcard","description":"Envia vcard.","tags":["📨 Mensagens Avançadas"],"parameters":[{"name":"ApiID","in":"path","required":true,"description":"Identificador do recurso (ApiID)","schema":{"type":"string"}}],"responses":{"200":{"description":"Resposta bem-sucedida","content":{"application/json":{"schema":{"type":"object"}}}},"400":{"description":"Requisição inválida"},"401":{"description":"Não autorizado — token Bearer ausente ou inválido"},"403":{"description":"Acesso negado"},"404":{"description":"Recurso não encontrado"},"500":{"description":"Erro interno do servidor"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"number":{"type":"string"},"contact":{"type":"array","items":{"type":"object","properties":{"fullName":{"type":"string"},"wuid":{"type":"string"},"phoneNumber":{"type":"string"}}}},"ticketId":{"nullable":true},"externalKey":{"type":"string"}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coretalk.com.br/api/api/mensagens-avancadas.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
